MIRABAIT:(1)

NAME
mirabait - select reads from a read collection

SYNOPSIS
mirabait [-f <fromtype>] [-t <totype> [-t <totype> ...]] [-iklor] baitfile infile <basename_for_outfile(s)>

DESCRIPTION
mirabait selects reads from a read collection which are partly similar or equal to sequences defined as target baits. Similarity is defined by finding a user-adjustable number of common k-mers (sequences of k consecutive bases) which are the same in the bait sequences and the screened sequences to be selected, either in forward or reverse complement direction.

OPTIONS

-f <fromtype>
    load this type of project files, where fromtype is:

caf sequences from CAF

maf sequences from MAF

phd sequences from a PHD

gbf sequences from a GBF

fasta
    sequences from a FASTA

fastq
    sequences from a FASTQ

-t <totype>
    write the sequences to this type (multiple mentions of -t are allowed):

fasta
    sequences to FASTA

fastq
    sequences to FASTQ

caf sequences to CAF

maf sequences to MAF

txt sequence names to text file

-k  k-mer, length of bait in bases (<32, default=31)

-n  Min. number of k-mer baits needed (default=1)

-i  Inverse hit: writes only sequences that do not hit bait

-r  No checking of reverse complement direction

-o  fastq quality Offset (only for -f = 'fastq') Offset of quality values in FASTQ file. Default: 33 A value of 0 tries to automatically recognise.

-f <fromtype>
    load this type of project files, where fromtype is:

caf sequences from CAF

maf sequences from MAF

phd sequences from a PHD

gbf sequences from a GBF

fasta
    sequences from a FASTA

fastq
    sequences from a FASTQ

-t <totype>
    write the sequences to this type (multiple mentions of -t are allowed):

fasta
    sequences to FASTA

fastq
    sequences to FASTQ

caf sequences to CAF

maf sequences to MAF

txt sequence names to text file

-k  k-mer, length of bait in bases (<32, default=31)

-n  Min. number of k-mer baits needed (default=1)

-i  Inverse hit: writes only sequences that do not hit bait

-r  No checking of reverse complement direction

-o  fastq quality Offset (only for -f = 'fastq') Offset of quality values in FASTQ file. Default: 33 A value of 0 tries to automatically recognise.

AUTHOR
Bastien Chevreux (bach@chevreux.org)